@import 'partials/base'

@import 'partials/colors'
@import 'partials/animations'


body
  background: $background-color
  color: $foreground-color
  font-family: $fixed-font-family
  overflow-x: hidden

h1
  font-weight: $h1

h2
  font-weight: $h2

h3
  font-weight: $h3

h4
  font-weight: $h4

a
  color: $link-color

  &:link
    color: $link-color

header
  font-weight: $header-font-weight
  text-align: center

footer
  bottom: 0
  position: relative
  text-align: center
  width: 100%

section
  display: flex
  flex-direction: column

nav
  font-size: 1.2em
  font-weight: 500
  white-space: nowrap

form
  input
    background-color: $foreground-color
    height: 2em
    width: 100%

    &:invalid
      border: 2px dashed $warning

    &:valid
      border: 2px solid $no-warning

iframe
  border: none
  height: 100%
  left: 0
  position: absolute
  top: 0
  width: 100%

.frame
  overflow: hidden
  padding-top: 100%
  position: relative


.center
  align-items: center
  display: flex
  flex-direction: column
  justify-content: center

.block
  max-width: 40em

.title
  font-size: 1em

.hidden
  display: none
